std::atomic::operator=(3)

NAME
std::atomic::operator= - std::atomic::operator=

Synopsis
   T operator=( T desired ) noexcept;
   T operator=( T desired ) volatile noexcept; (1) (since C++11)
   atomic& operator=( const atomic& ) = delete; (1) (since C++11)
   atomic& operator=( const atomic& ) volatile = (2) (since C++11)
   delete;
   1) Atomically assigns the desired value to the atomic variable. Equivalent to
   store(desired).
   The volatile-qualified version is deprecated if std::atomic<T>::is_always_lock_free
   is false.
   (since C++20)
   2) Atomic variables are not CopyAssignable.

Parameters
   desired - value to assign

Return value
   desired.

Notes
   Unlike most assignment operators, the assignment operators for atomic types do not
   return a reference to their left-hand arguments. They return a copy of the stored
   value instead.

See also
   constructor constructs an atomic object
                 (public member function)